set -x LS_COLORS (vivid generate catppuccin-mocha)

if status is-interactive
	set -x GPG_TTY (tty)

	## Aliases ##
	# ip colour
	alias ip='ip -color=auto'
	# lsd
	alias ls='lsd'
	alias ll='lsd -l'
	alias la='lsd -la'
	alias tree='lsd --tree'
	# don't overwrite existing files
	alias mv='mv -n'
	# fix onefetch colouring
	alias onefetch='onefetch --true-color never'
	# rename
	alias cat='bat'
	alias grep='rg'
	# vantamoo
	alias vantamoo='telnet moo.vantaa.black 4201'

	## Setups ##
	set -x ZELLIJ_AUTO_EXIT true
	set -x ZELLIJ_AUTO_ATTACH false
	eval (zellij setup --generate-auto-start fish | string collect)
	zoxide init fish | source
	starship init fish | source

	# fzf bindings
	fzf_configure_bindings
end
